/*
Code automatically generated by asn1scc tool
*/
#include <limits.h>
#include <string.h>
#include <math.h>
#include "Point.h"

#if !defined(_MSC_VER) || _MSC_VER >= 1800
void Point_Initialize(Point* pVal)
{
    *pVal = (Point) {    .nCount = 1,    .arr = 
    {
        0.00000000000000000000E+000        
    }
};
}
#endif

 
flag Point_IsConstraintValid(const Point* pVal, int* pErrCode)
{
    
    flag ret = TRUE;
	*pErrCode=0;

	(void)pVal;

	ret = Vector3d_IsConstraintValid(pVal, pErrCode);

	return ret;
}

flag Point_Encode(const Point* pVal, BitStream* pBitStrm, int* pErrCode, flag bCheckConstraints)
{
    flag ret = TRUE;
    
	ret = bCheckConstraints ? Point_IsConstraintValid(pVal, pErrCode) : TRUE ;
	if (ret) {
	    ret = Vector3d_Encode(pVal, pBitStrm, pErrCode, FALSE);
    }

	return ret;
}

flag Point_Decode(Point* pVal, BitStream* pBitStrm, int* pErrCode)
{
    flag ret = TRUE;

	ret = Vector3d_Decode(pVal, pBitStrm, pErrCode);

	return ret;
}

